Coin: SoFieldList Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | List of all members
SoFieldList Class Reference
Field Classes

The SoFieldList class is a container for pointers to SoField objects. More...

`#include <Inventor/lists/SoFieldList.h>`

Inheritance diagram for SoFieldList:

## Public Member Functions
| SoFieldList (void)
| SoFieldList (const int sizehint)
| SoFieldList (const SoFieldList &l)
void | append (SoField *field)
void | insert (SoField *field, const int insertbefore)
SoField * | operator[] (const int idx) const
void | set (const int idx, SoField *field)
SoField * | get (const int idx) const
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (const void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members
Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SoFieldList class is a container for pointers to SoField objects.

See also
  SbList

## Constructor & Destructor Documentation

## ◆ SoFieldList() [1/3]

SoFieldList::SoFieldList | ( | void |  | ) |
| inline

Default constructor.

## ◆ SoFieldList() [2/3]

SoFieldList::SoFieldList | ( | const int | sizehint | ) |
| inline

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
  SbList::SbList(const int)

## ◆ SoFieldList() [3/3]

SoFieldList::SoFieldList | ( | const SoFieldList & | l | ) |
| inline

Copy constructor.

See also
  SbList::SbList(const SbList<Type> & l)

## Member Function Documentation

## ◆ append()

void SoFieldList::append | ( | SoField * | field | ) |
| inline

Append item to the end of the list.

Automatically allocates more items internally if needed.

Overloaded from parent to accept an SoField pointer argument.

See also
  SbPList::append()

## ◆ insert()

void SoFieldList::insert | ( | SoField * | field,
|  | const int | insertbefore )
| inline

Insert item at index insertbefore.

insertbefore should not be larger than the current number of items in the list.

Overloaded from parent to accept an SoField pointer argument.

See also
  SbPList::insert()

## ◆ operator[]()

SoField * SoFieldList::operator[] | ( | const int | idx | ) | const
| inline

Returns element at index.

Will automatically expand the size of the internal array if index is outside the current bounds of the list. The values of any additional pointers are then set to `NULL`.

Overloaded from parent to return an SoField pointer.

See also
  SbPList::operator[]()

## ◆ set()

void SoFieldList::set | ( | const int | index,
|  | SoField * | item )
| inline

Overloaded from parent to accept an SoField pointer argument.

## ◆ get()

SoField * SoFieldList::get | ( | const int | idx | ) | const
| inline

Returns element at index. Does not expand array bounds if index is outside the list.

Overloaded from parent to return an SoField pointer.

See also
  SbPList::get()

The documentation for this class was generated from the following files:

- SoFieldList.h
- SoFieldList.cpp